Skip to main content
GET
Returns one conversation by ID, including transcript messages.

Authentication

X-API-Key
string
required
Project API key for this organization and project. Format: bot_live_…

Path parameters

organization_id
string
required
Organization ID. Must match the API key.
project_id
string
required
Project ID. Must match the API key.
conversation_id
string
required
Conversation ID.

Response

Returns the conversation document plus a messages array.
_id
string
required
Conversation ID.
status
string
required
Conversation status (for example completed, live, failed).
conversation_type
string
outbound, inbound, chat, or webvoice.
phone_number
string
Caller / callee phone number when applicable.
start_time
datetime
Conversation start time.
duration_seconds
number
Call duration in seconds.
messages
array
required
Transcript messages for the conversation.

Errors

401
Unauthorized
Missing, invalid, or revoked API key.
403
Forbidden
API key is not authorized for this organization or project.
404
Not Found
Conversation history not found.